<!DOCTYPE html>
<html>
  <head>
    <title>Objects</title>
  </head>
  <body>
    <script>
      const product = {
        name: 'socks',
        price: 1010
      };
      console.log(product);
      console.log(product.name);
      console.log(product.price);

      product.name = 'cotton socks';
      console.log(product);

      product.newProperty = true;
      console.log(product);

      delete product.newProperty;
      console.log(product);

      const product2 = {
        name: 'shirt',
        'delivery-time': '1 day',
        rating: {
          stars: 4.5,
          count: 58
        },
        fun: function function1() {
          console.log('func inside obj')
        }
      };
      console.log(product2);
      console.log(product2.name);
      console.log(product2['name']);
      console.log(product2['delivery-time']);

      console.log(product2.rating.count);
      product2.fun();

      console.log(typeof console);

      console.log(JSON.stringify(product2));
    </script>
  </body>
</html>